Package org.apache.tools.ant.filters

# Interface ChainableReader

All Known Implementing Classes:
  `ClassConstants`, `ConcatFilter`, `EscapeUnicode`, `ExpandProperties`, `FixCRLF`, `FixCrLfFilter`, `HeadFilter`, `LineContains`, `LineContainsRegExp`, `Native2AsciiFilter`, `PrefixLines`, `ReplaceTokens`, `ScriptFilter`, `SortFilter`, `StripJavaComments`, `StripLineBreaks`, `StripLineComments`, `SuffixLines`, `TabsToSpaces`, `TailFilter`, `TokenFilter`, `TokenFilter.ChainableReaderFilter`, `TokenFilter.ContainsRegex`, `TokenFilter.DeleteCharacters`, `TokenFilter.IgnoreBlank`, `TokenFilter.ReplaceRegex`, `TokenFilter.ReplaceString`, `TokenFilter.Trim`, `UniqFilter`

public interface ChainableReader
Interface indicating that a reader may be chained to another one.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Reader`
  `chain(Reader rdr)`
  Returns a reader with the same configuration as this one, but filtering input from the specified reader.

- ## Method Details

  - ### chain

    Reader chain(Reader rdr)
    Returns a reader with the same configuration as this one, but filtering input from the specified reader.
    Parameters:
      `rdr` - the reader which the returned reader should be filtering
    Returns:
      a reader with the same configuration as this one, but filtering input from the specified reader